Subject: Re: [PATCH v6 7/8] gnu: Add imhex-pattern-language.
From: Liliana Marie Prikler <[email-masked]>
To: Sergio Pastor Pérez <[email-masked]>, [email-masked]
Date: Wed, 26 Mar 2025 22:58:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Mittwoch, dem 19.03.2025 um 21:25 +0100 schrieb Sergio Pastor Pérez:
> On 3/19/25 18:00, Sergio Pastor Pérez wrote:
> > * gnu/packages/hexedit.scm (imhex-pattern-language): New variable.
> > 
> > Change-Id: I641bebed0bea9b2c8aca87f54d0fb457064a07d7
> > ---
> > Changes from v5:
> > * Use system fmt (fmt-11).
> 
> This is fine.
> 
> > * Use a keep list rather than a delete list.
> 
> Looks good to me.
> 
> > I think the header-only libraries should be provided as regular
> > inputs,
> > but haven't done that yet.
> 
> As you think goes more inline with Guix philosophy.
> 
> > +(define-public imhex-pattern-language
>  > [...]
> > +       (snippet #~(begin
> > +                    ;; NOTE: the `throwing-ptr' hasn't been
> > updated in 6 years
> > +                    ;; and the testsuite expects to use an
> > outdated version of
> 
> I wrote bad english here:
> > +                    ;; Conan, since this library if not
> > interesting to have it
> > +                    ;; in Guix it will remain bundled.
> 
> It should probably be:
> `since this library is not interesting for Guix, it will remain
> bundled.`
Pushed, sadly without the above changes.  I'll mark this as done and
maybe come back later to add the cosmetics.

Cheers